package com.example.patrice.http01;

import android.app.Activity;
import android.content.Intent;
import android.os.Bundle;
import android.os.Handler;

// http://www.exceptionbound.com/programming-tut/android-tutorial/how-to-create-splash-screen-in-android-studio

public class splash01 extends Activity
{
    @Override
    protected void onCreate(Bundle savedInstanceState)
    {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.screen_splash01);

        new Handler().postDelayed(new Runnable() {
            /*
            * Showing splash screen with a timer. This will be useful when you
            * want to show case your app logo / company
            */
            @Override
            public void run() {
                // This method will be executed once the timer is over
                // Start your app main activity
                Intent in = new Intent(splash01.this, MainActivity.class);
                startActivity(in);
                // close this activity
                finish();
            }
        }, 3000);

    }
}